andrewjs18
Posts: 6
Joined: Wed Feb 12, 2014 2:07 pm

Re: How to upgrade a Wheezy image to Jessie

Wed Jul 27, 2016 6:58 am

so I read through the original post and did the changes that I didn't initially do and ran:

sudo dpkg --configure -a

this is a more helpful error output:

Code: Select all

dpkg: dependency problems prevent configuration of gvfs-backends:
 gvfs-backends depends on libarchive13; however:
  Package libarchive13 is not installed.
 gvfs-backends depends on libexif12 (>= 0.6.21-1~); however:
  Version of libexif12:armhf on system is 0.6.20-3.
 gvfs-backends depends on libgoa-1.0-0b (>= 3.7.90); however:
  Package libgoa-1.0-0b is not installed.
 gvfs-backends depends on libgphoto2-6 (>= 2.5.2); however:
  Package libgphoto2-6 is not installed.
 gvfs-backends depends on libgphoto2-port10 (>= 2.5.2); however:
  Package libgphoto2-port10 is not installed.
 gvfs-backends depends on libimobiledevice4 (>= 1.1.5); however:
  Package libimobiledevice4 is not installed.
 gvfs-backends depends on libmtp9 (>= 1.1.6); however:
  Package libmtp9 is not installed.
 gvfs-backends depends on libplist2 (>= 1.11); however:
  Package libplist2 is not installed.
 gvfs-backends depends on libsmbclient (>= 2:4.0.3+dfsg1); however:
  Version of libsmbclient:armhf on system is 2:3.6.6-6+deb7u10.

dpkg: error processing package gvfs-backends (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gvfs-daemons:
 gvfs-daemons depends on udisks2; however:
  Package udisks2 is not installed.

dpkg: error processing package gvfs-daemons (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gvfs:armhf:
 gvfs:armhf depends on gvfs-daemons (>= 1.22.2-1); however:
  Package gvfs-daemons is not configured yet.
 gvfs:armhf depends on gvfs-daemons (<< 1.22.2-1.1~); however:
  Package gvfs-daemons is not configured yet.

dpkg: error processing package gvfs:armhf (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of xpdf:
 xpdf depends on libxm4 (>= 2.3.4); however:
  Package libxm4 is not installed.

dpkg: error processing package xpdf (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of console-setup-linux:
 console-setup-linux depends on keyboard-configuration (= 1.123); however:
  Version of keyboard-configuration on system is 1.88.

dpkg: error processing package console-setup-linux (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gvfs-fuse:
 gvfs-fuse depends on gvfs (= 1.22.2-1); however:
  Package gvfs:armhf is not configured yet.

dpkg: error processing package gvfs-fuse (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 gvfs-backends
 gvfs-daemons
 gvfs:armhf
 xpdf
 console-setup-linux
 gvfs-fuse

platini76
Posts: 16
Joined: Sat Dec 27, 2014 4:27 pm

Re: How to upgrade a Wheezy image to Jessie

Sun Oct 30, 2016 3:13 pm

root@raspberrypi:~# sudo rm –rf /var/lib/menu-xdg
rm: impossibile rimuovere "–rf": File o directory non esistente
rm: impossibile rimuovere "/var/lib/menu-xdg": È una directory

how can I solve?

bartgrefte
Posts: 18
Joined: Wed Aug 19, 2015 11:31 am

Re: How to upgrade a Wheezy image to Jessie

Sun Oct 30, 2016 7:26 pm

platini76 wrote:root@raspberrypi:~# sudo rm –rf /var/lib/menu-xdg
rm: impossibile rimuovere "–rf": File o directory non esistente
rm: impossibile rimuovere "/var/lib/menu-xdg": È una directory

how can I solve?
viewtopic.php?p=911224#p911224
Note for those following this guide: Don't copy and paste the instructions to type into the terminal for after the first boot. Or if you do, make sure you edit them so that whenever you see a long '-' replace it with the standard minus symbol.

platini76
Posts: 16
Joined: Sat Dec 27, 2014 4:27 pm

Re: How to upgrade a Wheezy image to Jessie

Sun Oct 30, 2016 7:51 pm

thank you!

bartgrefte
Posts: 18
Joined: Wed Aug 19, 2015 11:31 am

Re: How to upgrade a Wheezy image to Jessie

Mon Oct 31, 2016 12:21 pm

platini76 wrote:thank you!
You're welcome :)

oaksboard
Posts: 7
Joined: Sun Sep 14, 2014 8:42 pm

Re: How to upgrade a Wheezy image to Jessie

Tue Dec 27, 2016 11:52 am

some day ago i updated two of my raspberries with 8gb sd card to jessie. everything went without major glitches except one thing that almost killed my upgrade process:
dphys-swapfile, in the jessie default, sets the swapfile to a calculated value with a max of 2gb. on one box i did accept the new file. in the following step it calculated a swap file size of a little less than 2gb, which it tried to allocate, but filled my sd card to 100%.
killing some processes from another terminal window and deleting the file from /var/swap helped me to go on.
the raspbian default in dphys-swapfile is:

Code: Select all

CONF_SWAPSIZE=100
which sets the swap file to a fixed size of 100mb.

maybe some of the posters which ended up with a full sd card ran into the same issue..
bye, oskar

Leaskovski
Posts: 11
Joined: Tue May 12, 2015 9:29 am

Re: How to upgrade a Wheezy image to Jessie

Tue Jan 03, 2017 9:30 am

Hi all,

I thought I would update my PI last night, and when I went through to do the update, I got the following...

Code: Select all

pi@raspberrypi /etc/apt/sources.list.d $ sudo apt-get update 
Hit http://mirrordirector.raspbian.org jessie Release.gpg
Hit http://mirrordirector.raspbian.org jessie Release
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages 
Hit http://archive.raspberrypi.org jessie Release.gpg      
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://archive.raspberrypi.org jessie Release                                                   
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages                               
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages   
Hit http://archive.raspberrypi.org jessie/main armhf Packages      
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB                             
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB                                    
Ign http://archive.raspberrypi.org jessie/main Translation-en     
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB                                      
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en                                
Ign http://archive.raspberrypi.org jessie/ui Translation-en                                         
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB          
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists... Done
W: Ignoring Provides line with DepCompareOp for package pypy-cffi
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
W: You may want to run apt-get update to correct these problems
It still went ahead and did the dist-upgrade and the box is working, but the sudo apt-get update is reporting the above warning messages. Anyone know what this is?

There are no other files in /etc/apt/sources.list.d, just the raspi.list and the contents of that and the sources.list files match the OP content.

oaksboard
Posts: 7
Joined: Sun Sep 14, 2014 8:42 pm

Re: How to upgrade a Wheezy image to Jessie

Tue Jan 03, 2017 5:53 pm

hello leaskovski,
Leaskovski wrote: W: Ignoring Provides line with DepCompareOp for package pypy-cffi
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
W: You may want to run apt-get update to correct these problems[/code]
this warning can be safely ignored. it is caused by a new "Providers" line in the jessie apt lists.
as this is not supported by the old wheezy apt-get you get a warning.
as soon as the dist-upgrade completes, apt-get will know how to handle those lines.

bye,
oskar

Leaskovski
Posts: 11
Joined: Tue May 12, 2015 9:29 am

Re: How to upgrade a Wheezy image to Jessie

Thu Jan 05, 2017 5:00 pm

oaksboard wrote:hello leaskovski,
Leaskovski wrote: W: Ignoring Provides line with DepCompareOp for package pypy-cffi
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
W: You may want to run apt-get update to correct these problems[/code]
this warning can be safely ignored. it is caused by a new "Providers" line in the jessie apt lists.
as this is not supported by the old wheezy apt-get you get a warning.
as soon as the dist-upgrade completes, apt-get will know how to handle those lines.

bye,
oskar
Smashing. I restored my original image and tried again (this time using screen to be able to return back to the upgrade process) and that time i got the results i needed. I think the first time round, the upgrade hadn't worked properly.

Thanks

stulch
Posts: 2
Joined: Sat Jan 14, 2017 2:11 pm

Re: How to upgrade a Wheezy image to Jessie

Sat Jan 14, 2017 2:16 pm

I've followed these instructions, my pi was upgrading for hours, and I think only the themes cp didn't work, like a few others have said however, I still seem to still have the same Wheezy desktop. Any ideas where I go from here?

stulch
Posts: 2
Joined: Sat Jan 14, 2017 2:11 pm

Re: How to upgrade a Wheezy image to Jessie

Sat Jan 14, 2017 2:30 pm

...and when I log out it still comes up with the 'Logout LXDE 8.0 session ?' window.

User avatar
mikerr
Posts: 2500
Joined: Thu Jan 12, 2012 12:46 pm
Location: UK
Contact: Website

Re: How to upgrade a Wheezy image to Jessie

Sun Feb 05, 2017 8:06 pm

Just succeeded in converting a wheezy install to a Jessie using the instructions in the first post
but it took hours - really consider using a fresh Jessie image next time !

Only problem is I don't have the Wifi connection GUI - top panel just says "no wifi interface found"
despite that I did get wifi working by adding details manually in /etc/wpa_supplicant/wpa_supplicant.conf

Code: Select all

ctrl_interface=DIR=/var/run/wpa_supplicant GROUP=netdev
update_config=1
network={
    ssid="SSID"
    psk="password"
    }
Android app - Raspi Card Imager - download and image SD cards - No PC required !

Return to “Raspbian”

Who is online

Users browsing this forum: No registered users and 14 guests